Subject: Re: [PATCH nf] netfilter: nf_tables: free flowtable hooks on hook register error

From: Florian Westphal <[email-masked]>
Date: Thu, 5 Mar 2020 13:28:55 +0100

Pablo Neira Ayuso <[email-masked]> wrote:
> On Mon, Mar 02, 2020 at 09:58:50PM +0100, Florian Westphal wrote:
> > If hook registration fails, the hooks allocated via nft_netdev_hook_alloc
> > need to be freed.
> > 
> > We can't change the goto label to 'goto 5' -- while it does fix the memleak
> > it does cause a warning splat from the netfilter core (the hooks were not
> > registered).
> 
> It seems test/shell crashes after this, looking. It works after
> reverting.

Sorry about that.  Let me know if you want me to look into this.